## w3m 0.5.2

=== debian/changelog ===
w3m (0.5.2-9) unstable; urgency=low

  * debian/patches/010_upstream.patch: Sync with the upstream development
    snapshot on 2010-08-04.
    - Check width, rows and cols to prevent a large memory allocation.
      (Closes: #491400, #492290)
  * debian/patches/040_maximum-cols.patch: Patch from upstream to define
    MAXIMUM_COLS to check COLS. (Closes: #387751)
  * debian/patches/030_pager-s-option.patch: Change the -s option from
    "display charset Shift_JIS" to "squeeze multiple blank lines" to work
    as /usr/bin/pager. (rejected upstream)
  * debian/README.Debian: Mention the -s option difference.
  * debian/rules: Set INSTALL_W3MIMGDISPLAY to not use install -s.
    (Closes: #438260)
  * debian/rules, debian/w3m-img.files, debian/w3m-img.postinst,
    debian/w3m-img.prerm: Don't use dpkg-statoverride. (Closes: #562824)
  * debian/rules, debian/w3m-img.lintian-overrides: Install lintian override
    to ignore the setgid-binary warning.
  * debian/postrm: Removed.
  * debian/dirs, debian/rules: Install the Bonus directory.
  * debian/docs: Add doc/README.passwd.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Aug 2010 22:50:25 +0900

w3m (0.5.2-8) unstable; urgency=low

  * debian/patches/010_upstream.patch: Upstream development snapshot on
    2010-07-26. (Debian patches except config.* are merged)
  * debian/patches/020_config-guess.patch: Update config.guess and
    config.sub using autotools-dev 20100122.1.
  * debian/docs, debian/rules, debian/w3m-img.docs: Install some README
    files, such as README.img. (Closes: #252738, #306201)
  * debian/control:
    - Fix description wording. (Closes: #260414)
    - Update Standards-Version to 3.9.1.
  * debian/README.Debian, debian/README.Debian.w3m-img, debian/config.param,
    debian/w3m.1, debian/w3mman.1: Removed.
  * debian/copyright: Add the license of EastAsianWidth.txt.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 29 Jul 2010 01:51:25 +0900

w3m (0.5.2-7) unstable; urgency=low

  * debian/patches/100_download-error-short-write.patch: Patch to tell a
    download failure when full disk, provided by Karsten Schoelzel.
    (Closes: #185006, #206605)
  * debian/patches/110_no-graph-restriction.patch: Patch to restrict table
    and menu borders to ASCII if you use -no-graph, provided by Karsten
    Schoelzel. (Closes: #261174, #394265)
  * debian/patches/120_config-file-handling.patch: Patch to fix segfault
    when changing options if ~/.w3m not accessible, provided by Karsten
    Schoelzel. (Closes: #366284)
  * debian/patches/130_rc-blank-line-fix.patch: Patch to fix .w3m/config
    parser confused by blank lines, provided by Trent W. Buck.
    (Closes: #537706)
  * debian/patches/140_pseudo-inlines.patch: Patch to add a new option
    "pseudo_inlines", provided by Karsten Schoelzel.
    (Closes: #329863)
  * debian/patches/150_numbered-links.patch: Patch to add a new option
    "display_link_number", provided by Karsten Schoelzel.
    (Closes: #329862)
  * debian/patches/160_tls-sni.patch: Patch to add support for TLS SNI,
    provided by Sascha Silbe. (Closes: #523159)
  * debian/patches/170_number-prefix.patch: Patch to make number prefixes
    working when vi_prec_num=0, from upstream.
  * debian/patches/180_non-xterm.patch: Patch to fix segfault on non-xterm,
    from upstream.
  * debian/patches/190_codepage.patch: Patch for handling of codepage with
    wc_codepage, from upstream.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 18 Jul 2010 08:17:08 +0900

w3m (0.5.2-6) unstable; urgency=low

  * debian/patches/070_form-update.patch: Patch to fix a problem of
    formUpdateBuffer(), from [w3m-dev 04286] on 2007-08-04, provided by
    Hironori SAKAMOTO. (Closes: #409933)
  * debian/patches/080_xhtml-support.patch: Patch to support for
    application/xhtml+xml and default UTF-8 encoding, provided by
    Karsten Schoelzel. (Closes: #223589, #242599, #357817)
  * debian/patches/090_simple-preserve-space.patch: Patch to add a new
    option "simple_preserve_space", provided by dai.
    (Closes: #384982, #426055)
  * debian/patches/*: Renumbered.
  * debian/patches/70_ssl-init.patch: Removed.
  * debian/w3mconfig: Set ssl_forbid_method to 2 to disable SSLv2.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 07 Jul 2010 00:10:09 +0900

w3m (0.5.2-5) unstable; urgency=high

  * debian/patches/60_check-null-cn.patch: Patch to check for null bytes
    in CN/subjAltName, provided by Ludwig Nussel. (Closes: #587445)
    [CVE-2010-2074]
  * debian/patches/70_ssl-init.patch: Patch to force ssl_verify_server on
    and disable SSLv2 support, provided by Ludwig Nussel.
  * debian/patches/*: Renumbered.
  * debian/control: Update Standards-Version to 3.9.0.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 03 Jul 2010 19:08:07 +0900

w3m (0.5.2-4) unstable; urgency=low

  * debian/control: Move migemo from Recommends to Suggests.
    (Closes: #570906)

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 24 Feb 2010 22:40:53 +0900

w3m (0.5.2-3) unstable; urgency=low

  * debian/patches/10-w3mman-keep-formatting: Patch from 0.5.2-2.1ubuntu1.
    Use MAN_KEEP_FORMATTING=1 to fix that w3mman eats underlined characters.
    (Closes: #325699)
  * debian/patches/05-config-debian-fix: Update config.guess and config.sub
    using autotools-dev 20090611.1.
  * debian/watch: Update with sf redirector. (Closes: #550615)
  * debian/control:
    - Remove Fumitoshi Ukai from Maintainer. (Closes: #541020)
    - Move Tatsuya Kinoshita to Maintainer from Uploaders.
    - Add ${misc:Depends} to Depends.
    - Move migemo from Suggests to Recommends.
    - Use dh_prep instead of `dh_clean -k'.
    - Set Section to web.
    - Update Standards-Version to 3.8.4.
  * debian/prerm: Add -e to not ignore an error.
  * debian/copyright: Updated.
  * Update debhelper version to 7.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 21 Feb 2010 15:23:06 +0900

w3m (0.5.2-2.1) unstable; urgency=low


