=== debian/control ===
Source: w3m
Section: web
Priority: standard
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: libgc-dev, libncurses5-dev, libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], zlib1g-dev, libssl-dev, debhelper (>= 7), gawk | awk, libimlib2-dev
Homepage: http://sourceforge.net/projects/w3m
Standards-Version: 3.9.1

Package: w3m
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates
Provides: www-browser
Suggests: w3m-img, mime-support, menu (>> 1.5), w3m-el, man-db, migemo
Conflicts: w3m-ssl
Replaces: w3m-ssl, w3mmee
Description: WWW browsable pager with excellent tables/frames support
 w3m is a text-based World Wide Web browser with IPv6 support. 
 It features excellent support for tables and frames. It can be used 
 as a standalone file pager, too.
 .
  * You can follow links and/or view images in HTML.
  * Internet message preview mode, you can browse HTML mail.
  * You can follow links in plain text if it includes URL forms.
  * With w3m-img, you can view inline images.

Package: w3m-img
Architecture: any
Priority: optional
Depends: w3m (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: inline image extension support utilities for w3m
 w3m-img provides some utilities to support inline images for w3m
 on terminal emulator in X Window System environments and Linux
 framebuffer.
