## w3m 0.5.3

=== debian/changelog ===
w3m (0.5.3-8) unstable; urgency=low

  * debian/patches/010_upstream.patch: Sync with upstream on 2012-05-22
    - Support <meta charset>
  * debian/patches/050_entity-h-clean.patch: Removed (meged upstream)
  * debian/patches/110_form-input-text.patch:
    - Assume "text" if an input type is unknown (closes: #615843)
  * debian/patches/100_use-cppflags.patch: Use $(CPPFLAGS) with $(CPP)
  * debian/rules:
    - Fix CPPFLAGS hardening flags missing (closes: #665491)
    - Accept linux-gnueabi for w3m-img (closes: #673123)
  * debian/mime: Use charset for mailcap (closes: #282784)

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 22 May 2012 23:16:58 +0900

w3m (0.5.3-7) unstable; urgency=low

  * Add the configure option --with-imagelib=imlib2 (closes: #672121)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 10 May 2012 00:25:50 +0900

w3m (0.5.3-6) unstable; urgency=low

  [ Tatsuya Kinoshita ]
  * debian/patches/070_glibc2.14.patch:
    Patch from Ubuntu to unbreak compilation with eglibc 2.14 (LP: #935540)
  * debian/patches/080_gc72.patch:
    Patch from Gentoo to support Boehm GC 7.2
  * debian/patches/090_parallel-make.patch:
    Patch from Gentoo to fix parallel make issue
  * Update copyright-format version to 1.0
  * Update Standards-Version to 3.9.3

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/control: update my email address
  * debian/changelog: fix typo

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 05 May 2012 00:00:15 +0900

w3m (0.5.3-5) unstable; urgency=low

  * debian/control
    - Mark w3m Multi-Arch: foreign.
      Patch from 0.5.3-4ubuntu1, provided by Steve Langasek.
    - update Vcs-* fields to use anonscm.debian.org.
    - update Uploaders name-addr.
  * debian/rules: enable hardening options
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/patches/050_entity-h-clean.patch
    do not remove entity.h.  because generated file is a little different
    than original,  so it is unable to unapply.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Tue, 29 Nov 2011 00:36:36 +0900

w3m (0.5.3-4) unstable; urgency=low

  * debian/patches/060_format-security.patch: Patch from 0.5.3-3ubuntu1 to
    appease gcc -Werror=format-security, provided by Colin Watson.
    (closes: #646321)
  * debian/control: Use linux-any to depend on a Linux-specific package.
    (closes: #634340)
  * debian/copyright: Appease missing-license-paragraph-in-dep5-copyright.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 30 Oct 2011 15:23:40 +0900

w3m (0.5.3-3) unstable; urgency=low
  
  * debian/control:
    - Add Vcs-* fields. (closes: #625532)
    - Update Standards-Version to 3.9.2.
  * debian/rules: Add the targets build-arch and build-indep.
  * debian/copyright: Switch to the DEP-5 format.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 18 Jul 2011 17:19:33 +0900

w3m (0.5.3-2) unstable; urgency=low

  * debian/control: Add Uploaders and DM-Upload-Allowed for the co-maintainer
    HIGUCHI Daisuke.
  * debian/rules, debian/*docs: To add doc/README.cookie, install doc/README*
    and then remove doc/README.cygwin.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 21 Feb 2011 23:32:21 +0900

w3m (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/010_upstream.patch: Sync with the upstream development
    snapshot on 2011-01-17, just a typo fix for ChangeLog.
  * debian/patches/040_link_gcc45.patch: Patch from 0.5.2-10ubuntu1 to
    explicitly link w3mimgdisplay with -lX11 to build with gcc 4.5,
    provided by Martin Pitt. (closes: #605761)
  * debian/patches/050_entity-h-clean.patch: Patch to remove entity.h when
    `make clean'.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Feb 2011 16:11:06 +0900

w3m (0.5.2-10) unstable; urgency=low

  * debian/patches/010_upstream.patch: Sync with the upstream development
    snapshot on 2010-10-11.
    - Better non-ascii handling. (closes: #138891, #313365)
    - Introduce mailto_options. (closes: #473780)
    - All elements have the id attribute. (closes: #573789)
    - Define ATTR_ROWSPAN_MAX to check rowspan. (LP: #131993, LP: #619500)
    - Update the man page. (closes: #595534)
    - Add a FILES section to the man page. (closes: #403634)
    - Mention the -I option in the man page. (closes: #398260, #530515)
  * debian/patches/020_button.patch: Patch from upstream to support the
    button element.  It is discussed upstream and incomplete, but enough to
    login Launchpad. (LP: #628755, closes: #136810)
  * debian/patches/040_maximum-cols.patch: Removed. (merged upstream)
  * debian/control, debian/rules: Use autotools-dev (>= 20100122) to update
    config.guess and config.sub.
  * debian/patches/020_config-guess.patch: Removed.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 16 Oct 2010 00:59:32 +0900
