=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: web
 Priority: standard
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: libgc-dev, libncurses5-dev, libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], zlib1g-dev, libssl-dev, debhelper (>= 7), gawk | awk, libimlib2-dev
+Uploaders: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
+DM-Upload-Allowed: yes
+Build-Depends: libgc-dev, libncurses5-dev, libgpmg1-dev [linux-any], zlib1g-dev, libssl-dev, debhelper (>= 7), gawk | awk, libimlib2-dev, autotools-dev (>= 20100122)
 Homepage: http://sourceforge.net/projects/w3m
-Standards-Version: 3.9.1
+Vcs-Git: git://anonscm.debian.org/collab-maint/w3m.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/w3m.git
+Standards-Version: 3.9.3
 
 Package: w3m
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ca-certificates
 Provides: www-browser
