=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,13 @@
 
 #export DH_VERBOSE=1
 
-ifeq ($(DEB_BUILD_GNU_SYSTEM),linux-gnu)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
+CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
+CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
+LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)
+
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
   DEVS=x11,fb+s
 else
   DEVS=x11
@@ -11,6 +17,7 @@
 confargs := --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
 	--mandir=/usr/share/man \
 	--with-gc --with-ssl \
+	--with-imagelib=imlib2 \
 	--with-migemo="migemo -t egrep /usr/share/migemo/migemo-dict" \
 	--with-editor=/usr/bin/sensible-editor \
 	--enable-gopher \
@@ -19,10 +26,13 @@
 
 builddir := .
 
-build: build-stamp
+build-indep:
+
+build-arch: build-stamp
 build-stamp:
 	dh_testdir
-	cd $(builddir) && ./configure $(confargs)
+	cd $(builddir) && dh_autotools-dev_updateconfig
+	cd $(builddir) && CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(confargs)
 	cd $(builddir) && LC_ALL=C $(MAKE) OPTS="-Wall -g -DDEBIAN"
 	cd $(builddir)/po && LC_ALL=C $(MAKE) update-gmo
 	touch build-stamp
@@ -31,6 +41,7 @@
 	dh_testdir
 	dh_testroot
 	if test -f $(builddir)/Makefile; then cd $(builddir) && $(MAKE) distclean; fi
+	cd $(builddir) && dh_autotools-dev_restoreconfig
 	rm -f $(builddir)/po/*.gmo
 	rm -f $(builddir)/po/stamp-po
 	rm -f extract-stamp patch-stamp configure-stamp build-stamp install-stamp
@@ -49,13 +60,14 @@
 	mv -f debian/w3m/usr/lib/w3m/w3mimgdisplay debian/w3m-img/usr/lib/w3m/w3mimgdisplay
 	touch install-stamp
 
-binary-indep: build-stamp install-stamp
-# We have nothing to do by default.
+binary-indep:
 
-binary-arch: build-stamp install-stamp
+binary-arch: install
 	dh_testdir -a
 	dh_testroot -a
 	dh_installdocs -a
+	-rm -f debian/w3m/usr/share/doc/w3m/README.cygwin
+	-mv -f debian/w3m/usr/share/doc/w3m/README.img debian/w3m-img/usr/share/doc/w3m-img/README.img
 	cp -a $(builddir)/doc-jp/* debian/w3m/usr/share/doc/w3m/ja/
 	-mv -f debian/w3m/usr/share/doc/w3m/ja/README.img debian/w3m-img/usr/share/doc/w3m-img/README.img.ja
 	-rm -f debian/w3m/usr/share/doc/w3m/ja/w3m.1
@@ -92,5 +104,6 @@
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
+build: build-indep build-arch
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build-indep build-arch build install clean binary-indep binary-arch binary
