=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.5.3+git%cd, date=%Y%m%d" \
https://salsa.debian.org/debian/w3m HEAD debian uupdate
