## w3m 0.5.3%2Bgit20230121

=== debian/changelog ===
w3m (0.5.3+git20230121-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick patch from upstream to fix a security bug.
    (Closes: #1059265, CVE-2023-4255)

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Jan 2025 07:36:38 +0000

w3m (0.5.3+git20230121-2) unstable; urgency=medium

  * Update German message catalogue (closes: #1029933)

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 29 Jan 2023 21:03:49 +0900

w3m (0.5.3+git20230121-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Update renamed lintian tag names in lintian overrides.

  [ Tatsuya Kinoshita ]
  * Update Standards-Version to 4.6.2
  * Update debian/copyright
  * Update config options
  * New upstream version 0.5.3+git20230121
    - Fix m17n backspace handling causes out-of-bounds write in checkType
      [CVE-2022-38223] (closes: #1019599)
    - Fix LESSOPEN format string problem (closes: #991608)
    - Fix browsing local file fails when argv_is_url
      (closes: #537761, #946440)
    - Skip soft hyphen when reading token (closes: #830173)
    - Only read a first title to avoid titles in svg (closes: #1020215)
    - Handle failed system calls (closes: #398989)
    - Recognize link targets in dfn elements (closes: #1018696)
    - New option -H to use high-intensity colors (closes: #626291)
    - Update German message catalogue (closes: #1011945)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Jan 2023 11:57:19 +0900

w3m (0.5.3+git20220429-1) unstable; urgency=medium

  * Update config options
  * Move bzip2 to Suggests
  * Add brotli to Suggests
  * Add compface to Suggests
  * Simplify configure options
  * Remove unneeded compile options
  * Drop old config file handling (closes: #996099)
  * Remove empty maintainer scripts
  * Replace mime-support with media-types and mailcap in Suggests
    (closes: #1009766)
  * Update debian/copyright
  * Update Build-Depends with build profile annotations (closes: #870026)
  * Drop debian/patches
  * Update Standards-Version to 4.6.0
  * New upstream version 0.5.3+git20220429
    - Mention -insecure option as a workaround for SSL error
      (closes: #900984, #934493, #953045)
    - Prevent GC warnings of repeated allocation
      (closes: #746701, #832407, #862382)
    - Fix fail to render over 32767 lines in a table cell (closes: #838952)
    - Updated German translation (closes: #1003936)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 29 Apr 2022 11:55:11 +0900

w3m (0.5.3+git20210102-6) unstable; urgency=medium

  * Update 030_str-overflow.patch to avoid zero size allocation in Str.c

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 01 Mar 2021 06:59:20 +0900

w3m (0.5.3+git20210102-5) unstable; urgency=medium

  * Update 030_str-overflow.patch to fix overflow due to Str.c
  * New patch 040_libwc-overflow.patch to fix integer overflow in libwc
  * Revert 020_ssl-ca.patch and use ssl_ca_path to keep old behavior

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 28 Feb 2021 16:57:53 +0900

w3m (0.5.3+git20210102-4) unstable; urgency=medium

  * New patch 030_str-overflow.patch to fix overflow due to Str.c

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 26 Feb 2021 20:17:10 +0900

w3m (0.5.3+git20210102-3) unstable; urgency=medium

  * New patch 020_ssl-ca.patch to work ssl_ca_file and ssl_ca_path
  * Add bzip2 to Recommends
  * Install ChangeLog.1
  * Use ssl_ca_file instead of ssl_ca_path
  * Reduce sample extbrowsers

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Feb 2021 01:00:05 +0900

w3m (0.5.3+git20210102-2) unstable; urgency=medium

  * New patch 010_section.patch to disable <section> behaves as <hr>

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 18 Jan 2021 22:42:27 +0900

w3m (0.5.3+git20210102-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.2.1-15, 0.2.1-12, 0.1.9-5,
    0.1.9-4, 0.1.9-3, 0.0.19991015-2, 0.0.19990916-1, 0.0.19990815-2,
    0.0.19990526-1.
  * Set upstream metadata fields: Archive.

  [ Tatsuya Kinoshita ]
  * Switch upstream to Debian's w3m
  * New upstream version 0.5.3+git20210102
    - Fix some source formatting in the manual (closes: #963801)
    - Fix links containing divs (closes: #847875)
    - Fix broken Gopher support (closes: #742455)
  * Update description to mention Debian's forked version
  * Drop debian/patches
  * Drop debian/gitlog2changelog
  * Drop README.Debian
  * Drop unneeded conversion for document files
  * Drop unneeded handling of entity.h
  * Add options to /etc/w3m/config
  * Update extbrowser2 to use xdg-open
  * Update extbrowser3 to use surf with JavaScript disabled
  * Update debian/copyright
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 02 Jan 2021 09:46:48 +0900

w3m (0.5.3-38) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Update standards version to 4.4.1, no changes needed.

  [ Tatsuya Kinoshita ]
  * Replace tab with spaces in debian/copyright
  * Use maintscript file instead of manual calls to dpkg-maintscript-helper
  * Add debian/upstream/metadata
  * Update debhelper-compat to 13
  * Update Standards-Version to 4.5.0
  * Update 020_debian.patch to v0.5.3+git20200502
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 02 May 2020 13:27:52 +0900

w3m (0.5.3-37) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * eliminate lintian warning: maintainer-script-without-set-e
  * eliminate lintian warning: file-contains-trailing-whitespace
  * Update debhelper compat version to 11
  * mark Rules-Requires-Root: as binary-targets

  [ Tatsuya Kinoshita ]
  * Update 020_debian.patch to v0.5.3+git20190105
    - Respect simple_preserve_space for table cells (closes: #893902)
    - Fix that the mark_all_pages option works (closes: #911929)
    - w3mman supports specifying a section number during a keyword search
      (closes: #916968)

