=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: w3m
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tatsuya Kinoshita <tats@debian.org>
+Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Uploaders: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gawk | awk,
