## w3m 0.5.3+git20220429

=== debian/changelog ===
w3m (0.5.3+git20220429-1ubuntu0.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in checkType
    - debian/patches/CVE-2022-38223.patch: fix m17n backspace handling
      causes out-of-bounds write in checkType in etc.c.
    - CVE-2022-38223

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Jan 2023 09:02:42 -0500
