=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: w3m
 Section: web
 Priority: optional
-Maintainer: Tatsuya Kinoshita <tats@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Uploaders: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gawk | awk,
                libgc-dev,
                libgpm-dev [linux-any],
-               libimlib2-dev,
+               libimlib2-dev <!stage1>,
                libncurses5-dev,
                libssl-dev,
                pkg-config,
@@ -15,23 +16,27 @@
 Homepage: https://tracker.debian.org/pkg/w3m
 Vcs-Browser: https://salsa.debian.org/debian/w3m
 Vcs-Git: https://salsa.debian.org/debian/w3m.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 
 Package: w3m
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ca-certificates, bzip2
+Recommends: ca-certificates
 Provides: www-browser
-Suggests: cmigemo,
+Suggests: brotli,
+          bzip2,
+          cmigemo,
+          compface,
           dict,
           dict-wn,
           dictd,
           firefox | www-browser,
           libsixel-bin,
+          mailcap,
           man-db,
-          mime-support,
+          media-types,
           sensible-utils,
           w3m-el,
           w3m-img,
