## w3m 0.5.3+git20230121

=== debian/changelog ===
w3m (0.5.3+git20230121-2.1ubuntu1) questing; urgency=medium

  * d/rules: fix gcc-15 FTBFS due to std23 default (LP: #2125182)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 19 Sep 2025 11:39:21 +0200
