=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Homepage: https://tracker.debian.org/pkg/w3m
 Vcs-Browser: https://salsa.debian.org/debian/w3m
 Vcs-Git: https://salsa.debian.org/debian/w3m.git
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 
 Package: w3m
