=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
 CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS) $(shell getconf LFS_CFLAGS)
 CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
@@ -21,14 +22,11 @@
 
 confargs := --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
 	--mandir=/usr/share/man \
-	--with-gc --with-ssl \
 	--with-imagelib=imlib2 \
 	--with-migemo="cmigemo -q -d /usr/share/cmigemo/utf-8/migemo-dict" \
 	--with-editor=/usr/bin/sensible-editor \
 	--with-browser=/usr/bin/sensible-browser \
-	--enable-gopher \
-	--enable-image=$(DEVS) \
-	--enable-m17n --enable-unicode --enable-nls
+	--enable-image=$(DEVS)
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 confargs += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
@@ -44,7 +42,7 @@
 	dh_testdir
 	cd $(builddir) && dh_update_autotools_config
 	cd $(builddir) && LC_ALL=C CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(confargs)
-	cd $(builddir) && LC_ALL=C $(MAKE) OPTS="-Wall -g -DDEBIAN"
+	cd $(builddir) && LC_ALL=C $(MAKE) OPTS="-g"
 	cd $(builddir)/po && LC_ALL=C $(MAKE) update-gmo
 	touch build-stamp
